from sqlalchemy import create_engine

# 线上数据库连接字符串
# host = "139.186.151.174"
# port = 3306
# user = "hcst"
# passwd = "hcst@2020"
# db = 'jeecg-boot'
# charset = 'utf8'
# db_con_str = "mysql+pymysql://%s:%s@%s:%d/%s" % ("readonly", "hcst@2021", "139.186.27.96", 4000, "jeecg-boot")

# 测试数据库连接字符串
host = "139.186.151.174"
port = 3306
user = "hcst"
passwd = "hcst@2020"
db = 'jeecg-boot'
charset = 'utf8'
db_con_str = "mysql+pymysql://%s:%s@%s:%d/%s" % ("hcst", "hcst@2020", "139.186.151.174", 3306, "jeecg-boot")
engine = create_engine(db_con_str, connect_args={'charset': 'utf8'})


headers = {'Content-Type': 'application/json'}
# 创建计划url
create_campaign_url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/create/campaignCreate"

# 获取上新视频url
get_new_video_url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/material/getNewVideoList"

# 获取历史视频url
get_history_video_url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/material/getHistoryVideoList"

# 创建组和创意url
create_group_and_creative_url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/create/createUnitAndCreative"

# 获取历史遗漏视频url
get_historical_missing_video_url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/material/getHistoryVideoList"

# 获取历史高质量视频url
get_historical_high_quality_video_url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/material/getHistoryVideoList"

# ai 策略请求url
ai_strategy_request_url = 'http://127.0.0.1:31012/ai_strategy_request'


# 账户列表
account_id_list = [9556344, 9743738, 9743727]
# 补充历史遗落素材的个数
historical_missing_video_cnt = 100

# 近多少天的爆量视频
high_quality_video_days = 14


# 创意层级基本信息
creative_info = {'creative_name': '自定义创意',
                 'creative_category': 20101,
                 'creative_tag': ['起量', '搞笑'],
                 'action_bar_text': '一键下载',
                 'description': '不买亏大了！众多商品低至一元！看看你多花了多少冤枉钱！'}

# 每个素材最多搭配的封面个数
image_cnt = 5

# 计划名称 和 组名称  的头部
account_id_to_name = {9556344: '户14', 9743738: '户8', 9743727: '户9'}
campaign_name = '-上下滑&信息流-自定义-剪辑-低价-低价包邮-活动-年龄18岁以上-单出价-'
unit_name = '-上下滑&信息流-剪辑-低价-低价包邮-活动-年龄18岁以上-单出价-'


